package cc.winboll.studio.libappbase.models;

/**
 * @Author ZhanGSKen<zhangsken@188.com>
 * @Date 2025/06/05 11:26
 */
import com.fasterxml.jackson.annotation.JsonProperty;

public class ResponseData {
    @JsonProperty("status")
    private String status;
    @JsonProperty("message")
    private String message;

    // ❌ 原代码只有带参构造函数，缺少无参构造函数
    // public ResponseData(String status, String message) {
    //     this.status = status;
    //     this.message = message;
    // }

    // ✅ 添加无参构造函数（Jackson 反序列化必需）
    public ResponseData() {
        // 空实现
    }

    // 保留带参构造函数（可选，用于手动创建实例）
    public ResponseData(String status, String message) {
        this.status = status;
        this.message = message;
    }

    // Getter 和 Setter
    public String getStatus() { return status; }
    public void setStatus(String status) { this.status = status; }
    public String getMessage() { return message; }
    public void setMessage(String message) { this.message = message; }
}

